<?php

namespace App\Http\Controllers;

use App\Models\CountryCode;
use Illuminate\Http\Request;

class CountryCodeController extends Controller
{
  /**
  * Display a listing of the resource.
  *
  * @return \Illuminate\Http\Response
  */
  public function index()
  {
    return CountryCode::all();
  }
  
  public function active()
  {
    return CountryCode::active("Y");
  }

  public function codes()
  {
    return CountryCode::countryHash();
  }
  /**
  * Store a newly created resource in storage.
  *
  * @param  \Illuminate\Http\Request  $request
  * @return \Illuminate\Http\Response
  */
  public function store(Request $request)
  {
    //
  }
  
  /**
  * Display the specified resource.
  *
  * @param  \App\Models\CountryCode  $countryCode
  * @return \Illuminate\Http\Response
  */
  public function show(CountryCode $countryCode)
  {
    //
  }
  
  /**
  * Update the specified resource in storage.
  *
  * @param  \Illuminate\Http\Request  $request
  * @param  \App\Models\CountryCode  $countryCode
  * @return \Illuminate\Http\Response
  */
  public function update(Request $request, CountryCode $countryCode)
  {
    //
  }
  
  /**
  * Remove the specified resource from storage.
  *
  * @param  \App\Models\CountryCode  $countryCode
  * @return \Illuminate\Http\Response
  */
  public function destroy(CountryCode $countryCode)
  {
    //
  }
}
